%define Name jadetex
%define Version 2.7
%define TeXdir %(cd `kpsewhich -expand-var '$TEXMFMAIN'`/../..; pwd)

Name        	: %{Name}
Version     	: %{Version}
Release     	: 8
Group       	: Textprocessing/Tools

Summary     	: TeX macros used by Jade TeX output.

Copyright   	: Distributable (C) Sebastian Rahtz <s.rahtz@elsevier.co.uk>
Packager    	: Eric Bischoff <eric@caldera.de>, Mark Galassi <rosalia@galassi.org>

Requires    	: sgml-common >= 0.2
Requires	: jade >= 1.2.1
PreReq		: tetex >= 0.9

BuildRoot   	: /tmp/%{Name}-%{Version}

BuildArch	: noarch
Source0		: http://www.tug.org/applications/jadetex/jadetex-2.7.tgz
Source1		: jadefmtutil.cnf


%Description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files, to obtain DVI, Postscript
or PDF files for example.


%Prep
%setup -c
cp %{SOURCE1} jadetex


%Build
cd jadetex
make -f Makefile.jadetex


%Install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR
cd jadetex
make -f Makefile.jadetex install DESTDIR=$DESTDIR

mkdir -p ${DESTDIR}%{TeXdir}/share/texmf/tex/jadetex
cp *.ini ${DESTDIR}%{TeXdir}/share/texmf/tex/jadetex
cp *.sty ${DESTDIR}%{TeXdir}/share/texmf/tex/jadetex
cp *.cnf ${DESTDIR}%{TeXdir}/share/texmf/tex/jadetex

mkdir -p ${DESTDIR}%{TeXdir}/bin
ln -s %{TeXdir}/bin/virtex ${DESTDIR}%{TeXdir}/bin/jadetex
ln -s %{TeXdir}/bin/pdfvirtex ${DESTDIR}%{TeXdir}/bin/pdfjadetex


%Clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Post
/usr/bin/env - PATH=$PATH:%{TeXdir}/bin texhash
/usr/bin/env - PATH=$PATH:%{TeXdir}/bin fmtutil --cnffile %{TeXdir}/share/texmf/tex/jadetex/jadefmtutil.cnf --all > /dev/null
exit 0


%Files
%defattr (-,root,root)
%{TeXdir}/share/texmf/web2c/jadetex.fmt
%{TeXdir}/share/texmf/web2c/pdfjadetex.fmt
%{TeXdir}/share/texmf/tex/jadetex/dsssl.def
%{TeXdir}/share/texmf/tex/jadetex/isoents.tex
%{TeXdir}/share/texmf/tex/jadetex/jadetex.ltx
%{TeXdir}/share/texmf/tex/jadetex/jadetex.ini
%{TeXdir}/share/texmf/tex/jadetex/pdfjadetex.ini
%{TeXdir}/share/texmf/tex/jadetex/unicode.sty
%{TeXdir}/share/texmf/tex/jadetex/jadefmtutil.cnf
%{TeXdir}/bin/jadetex
%{TeXdir}/bin/pdfjadetex
